Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Error clinking any link  (Read 428 times)

0 Members and 1 Guest are viewing this topic.

joerobertson

  • Coppermine newbie
  • Offline Offline
  • Posts: 11
Error clinking any link
« on: February 15, 2021, 11:47:11 pm »

Hi. On my site, when I try clicking any link, i get the following error:


Fatal error: Uncaught Error: Call to undefined function ctype_alpha() in /hermes/bosnacweb05/bosnacweb05ae/b1547/ipg.robertj90145/joesworld/collection/include/inspekt.php:478 Stack trace: #0 /hermes/bosnacweb05/bosnacweb05ae/b1547/ipg.robertj90145/joesworld/collection/include/inspekt/cage.php(287): Inspekt::isAlpha('58') #1 /hermes/bosnacweb05/bosnacweb05ae/b1547/ipg.robertj90145/joesworld/collection/thumbnails.php(60): Inspekt_Cage->testAlpha('album') #2 {main} thrown in /hermes/bosnacweb05/bosnacweb05ae/b1547/ipg.robertj90145/joesworld/collection/include/inspekt.php on line 478

I havent been on my site in a while. Any idea?

Joe

Logged

ron4mac

  • Administrator
  • Coppermine addict
  • *****
  • Country: us
  • Offline Offline
  • Posts: 1713
Logged

joerobertson

  • Coppermine newbie
  • Offline Offline
  • Posts: 11
Re: Error clinking any link
« Reply #2 on: February 16, 2021, 02:04:51 am »

thanks. Seems somehow i changed the PHP version. I switched back to the previous version and all seems fine now. Thanks

Joe
Logged

Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4815
    • Windsurf.me
Re: Error clinking any link
« Reply #3 on: February 16, 2021, 08:24:25 pm »

Might also be worth speaking to your host so they can get their PHP install configured correctly. PHP5 is now out of support so not getting security updates. It is in their interest to not have users on the older version.
Logged
It is a mistake to think you can solve any major problems just with potatoes.
Pages: [1]   Go Up
 

Page created in 0.017 seconds with 19 queries.